Bug 13406 - Rage Pro Turbo AGP 2X support broken
Rage Pro Turbo AGP 2X support broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
John Cagle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-03 17:17 EDT by harry.heinisch
Modified: 2007-04-18 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 18:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harry.heinisch 2000-07-03 17:17:45 EDT
I'm unable to perform a graphical install (workstation mode) on a Compaq 
DeskPro EN SFF that includes a Rage Pro Turbo AGP 2X video controller.

Even though the video adapter is detected during text install, the 
resulting /etc/X11/XF86Config file is broken.  'startx' complains about 
missing screen, missing driver lines, and invalid options in the keyboard 
section ("LeftAlt", "RightAlt", "ScrollLock", "RightCtl").

If I run Xconfigurator, it probes and finds:

 PCI Entry    : ATI|3D Rage Pro AGP 1X/2X
 X Server     : XF86_Mach64
 XFree4 driver: No match

Xconfigurator then exits with this error message:

 Server doesn't exist, can't continue.
 tried to use ../../usr/X11R6/bin/XF86_Mach64

For more info, please contact john.cagle@compaq.com
Comment 1 harry.heinisch 2000-07-03 18:03:49 EDT
MORE INFO: After deleting /etc/X11/XF86Config and running xf86config, 
specifying the MACH64 driver (and fixing one line in the 
resulting /etc/X11/XF86Config), it now works.  The one line change (after 
running xf86config) was to change 'driver "unknown"' to 'driver "ati"'.

Comment 2 harry.heinisch 2000-07-07 18:35:49 EDT
This bug was fixed in Beta 3.  Please close this bug as resolved.

Note You need to log in before you can comment on or make changes to this bug.